[global]
error_log = /proc/self/fd/2
daemonize = no

[www]
listen = 0.0.0.0:9000
listen.owner = www-data
listen.group = www-data
listen.mode = 0666

user = www-data
group = www-data

pm = ondemand
pm.max_children = 25
pm.process_idle_timeout = 10s
pm.max_requests = 200

chdir = /

; Mandatory to catch everything from workers (errors,...)
catch_workers_output = yes

clear_env = no

; Access log going to stderr (just in case)
access.log = /proc/self/fd/2
access.format = "%R - %u %t \"%m %r%Q%q\" %s %f %{mili}d %{kilo}M %C%%"

; Important values to have logging working properly
php_flag[display_errors] = off
php_admin_value[error_log] = /proc/self/fd/2
php_admin_flag[log_errors] = on

; Include files that could come from outside
include = /etc/php/8.1/fpm/user-conf.d/*.conf
